hitCallback = nil
enabled = true
function RegisterHitCallback(fn)
  if hitCallback == nil then
    hitCallback = fn
  end
end
function FireHitCallback()
  if hitCallback ~= nil then
    hitCallback()
  end
end
function OnHitByWeapon(level, obj, weapon, weaponOwnerCreature)
  OnHit(level, obj, weaponOwnerCreature, weapon)
end
function OnHit(level, go, attacker, weapon)
  if enabled then
    FireHitCallback()
  end
end
function Enable()
  enabled = true
end
function Disable()
  enabled = false
end
